/*
Theme Name: PM26
Theme URI: https://olliewp.com
Description: A child theme for Ollie.
Author: Kalle Kemilä
Author URI: https://kallek.fi
Template:     ollie
Version: 1.0.0
License:      GNU General Public License v2 or later
License URI:  http://www.gnu.org/licenses/gpl-2.0.html
Tags:         blog, portfolio, entertainment, grid-layout, one-column, two-columns, three-columns, four-columns, block-patterns, block-styles, custom-logo, custom-menu, editor-style, featured-images, full-site-editing, full-width-template, rtl-language-support, style-variations, template-editing, theme-options, translation-ready, wide-blocks
Text Domain: ollie-child
*/

.overflow-hidden {
overflow:hidden !important;
}

.wp-block-column.is-linked .ollie-group-link, .wp-block-group.is-linked .ollie-group-link {
pointer-events: auto !important;
}

.wp-block-button.is-style-outline .wp-block-button__link:hover {
outline-color:inherit;
}

.wp-block-navigation__submenu-container {
border-radius: 5px;
overflow: hidden;
}

:root :where(.wp-element-button, .wp-block-button__link) {
border-radius: 6px;
}

.link-hover-underline.link-hover-underline a, a.link-hover-underline {
    text-decoration-line: none;
}
.link-hover-underline a:is(:hover,:focus), a.link-hover-underline:is(:hover,:focus) {
    text-decoration: underline;
    text-decoration-thickness: 1px;
}

.line-clamp-1 {
display: -webkit-box;
  -webkit-line-clamp: 1;
  line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
    text-overflow: ellipsis;
    }


    .wp-block-list.is-style-dash-list,.wp-block-post-template.is-style-dash-list  {
    list-style-type: '–  ';
    margin-left: -5px;
}


.wp-block-navigation__submenu-container.has-background li.wp-block-navigation-item {
    background: inherit;
    border-top-color: var(--wp--preset--color--main) !important;
    border-top: 1px solid;
}

.wp-block-navigation__submenu-container.has-background li.wp-block-navigation-item:hover {
    backdrop-filter: saturate(1) contrast(1.2);
}

.wp-block-navigation__submenu-container.has-background li.wp-block-navigation-item a,.wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container .has-child button:hover {
    text-decoration: none !important;
}


@media (min-width: 600px) {
	/* Mobile styles */
	header .wp-block-navigation-item__content {
    opacity: .8;
}
}


header .wp-block-navigation-item__content:hover{
    opacity: 1 !important;
}

header .wp-block-navigation-submenu__toggle[aria-expanded=true], header .wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container .current-menu-item > a {
    opacity: 1 !important;
}

header :where(.wp-block-navigation a:where(:not(.wp-element-button)):hover), header .wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__container .current-menu-item > a {
text-decoration: none !important;
}

.wp-block-navigation__submenu-container.has-background{
    background-color: none !important;
    backdrop-filter: saturate(1.8) blur(24px) invert(10%);
}

.wp-block-navigation__responsive-container:not(.is-menu-open) :where(.wp-block-navigation__submenu-container) li:first-child {
padding-top: 0;
}
.wp-block-navigation__responsive-container:not(.is-menu-open) :where(.wp-block-navigation__submenu-container) li:last-child {
padding-bottom: 0;
}

.wp-block-navigation__responsive-container:not(.is-menu-open) .wp-block-navigation__submenu-container.has-background {
    border-left:var(--wp--preset--color--main) 1px solid !important;
    border-right:var(--wp--preset--color--main) 1px solid !important;
    border-bottom:var(--wp--preset--color--main) 1px solid !important;

}

.wp-block-navigation__responsive-container:not(.is-menu-open) :where(.wp-block-navigation__submenu-container) a, .wp-block-navigation__responsive-container:not(.is-menu-open) :where(.wp-block-navigation__submenu-container) .wp-block-navigation-submenu__toggle {
padding: var(--wp--preset--spacing--small) var(--wp--preset--spacing--small) !important;
}

* {
text-underline-offset: 5px;
text-decoration-thickness: 1.5px !important;
transition:all .2s ease-in-out;
}

.wp-block-separator {
border-top: 1.5px solid;
}

.balanced {
    text-wrap: balance;
}


.detail.is-layout-flex, .detail{
   display: none;
}
.detail.is-layout-flex:has(.value,ul) {
   display: flex;
}
.detail:has(.value,ul) {
   display: block;
}


.inactive-lang {
    opacity: 0.7;
    transition:all .2s ease-in-out;
}
.inactive-lang:hover {
    opacity: 1;
}